summaryrefslogtreecommitdiffstatsabout
diff options
context:
space:
mode:
authorSteffen Pingel2011-07-28 11:11:04 (EDT)
committer Steffen Pingel2011-07-28 11:11:04 (EDT)
commit25d910ea84a1857ab53046c3580417727ebe75e8 (patch)
treebaa7d23c2066df5743c470992a70d7e4433724c4
parent7df7e12a77810de16de681c3c7051d68b4388933 (diff)
downloadegit-25d910ea84a1857ab53046c3580417727ebe75e8.zip
egit-25d910ea84a1857ab53046c3580417727ebe75e8.tar.gz
egit-25d910ea84a1857ab53046c3580417727ebe75e8.tar.bz2
Add feature dependencies for EGit Mylyn featurerefs/changes/39/3939/1
To avoid partial installations of Mylyn or EGit when the EGit Mylyn integration is installed the org.eclipse.egit.mylyn feature should declare feature dependencies. Bug: 353331 Change-Id: If1431980a68a13fa605d9ec328e044c5646e561c Signed-off-by: Steffen Pingel <steffen.pingel@tasktop.com>
-rw-r--r--org.eclipse.egit.mylyn-feature/feature.xml17
1 files changed, 2 insertions, 15 deletions
diff --git a/org.eclipse.egit.mylyn-feature/feature.xml b/org.eclipse.egit.mylyn-feature/feature.xml
index 4296352..5c04ee0 100644
--- a/org.eclipse.egit.mylyn-feature/feature.xml
+++ b/org.eclipse.egit.mylyn-feature/feature.xml
@@ -23,21 +23,8 @@
</url>
<requires>
- <import plugin="org.eclipse.core.resources"/>
- <import plugin="org.eclipse.core.runtime"/>
- <import plugin="org.eclipse.egit.core" version="1.1.0" match="equivalent"/>
- <import plugin="org.eclipse.egit.ui" version="1.1.0" match="equivalent"/>
- <import plugin="org.eclipse.jface"/>
- <import plugin="org.eclipse.jgit" version="1.1.0" match="equivalent"/>
- <import plugin="org.eclipse.mylyn.monitor.core" version="3.0.0" match="compatible"/>
- <import plugin="org.eclipse.mylyn.tasks.core" version="3.0.0" match="compatible"/>
- <import plugin="org.eclipse.mylyn.tasks.ui" version="3.0.0" match="compatible"/>
- <import plugin="org.eclipse.mylyn.team.ui" version="3.0.0" match="compatible"/>
- <import plugin="org.eclipse.mylyn.resources.ui" version="3.0.0" match="compatible"/>
- <import plugin="org.eclipse.mylyn.context.core" version="3.0.0" match="compatible"/>
- <import plugin="org.eclipse.team.core"/>
- <import plugin="org.eclipse.ui.navigator.resources"/>
- <import plugin="org.eclipse.ui.workbench"/>
+ <import feature="org.eclipse.egit" version="1.0.0" match="greaterOrEqual"/>
+ <import feature="org.eclipse.mylyn.team_feature" version="3.5.0" match="greaterOrEqual"/>
</requires>
<plugin